 .Include "2313def.inc"
;=====================
.equ	OCR1BL	= 0x28
.equ	OCR1BH	= 0x29 ;     :( 
.equ	TCCR0B	= 0x33 ;   ,    , ,    
;=====================


;   
; -   (  -, -    
;  ,   ,   )
; -  (      (..    ), 
;   ,   ,   - -  
;     ,..)
;
;
;
;


.def reg=R16 				.def 	Temp1=R16
.def reg_1=R17 				.def	Temp2=R17
.def reg_2=R18				.def	Temp3=R18
.def slot_L=R19 
.def slot_H=R20 
.def flajki=R21     
.def Nolik=R22
.def obraz_L=R23
.def obraz_H=R24
							.def 	Temp=R25 
							.def	Temp4=R26




.CSEG 
.org 0
 rjmp RESET ; Reset Handler
 rjmp intt_0 ; External Interrupt0 Handler
 rjmp intt_1 ; External Interrupt1 Handler
 rjmp TIM1_CAPT ; Timer1 Capture Handler
 rjmp TIM1_COMPA ; Timer1 CompareA Handler
 rjmp TIM1_OVF ; Timer1 Overflow Handler
 rjmp TIM0_OVF ; Timer0 Overflow Handler
 rjmp USART0_RXC ; USART0 RX Complete Handler
 rjmp USART0_DRE ; USART0,UDR Empty Handler
 rjmp USART0_TXC ; USART0 TX Complete Handler
 rjmp ANA_COMP ; Analog Comparator Handler
 rjmp PCINT ; Pin Change Interrupt
 rjmp TIMER1_COMPB ; Timer1 Compare B Handler
 rjmp TIMER0_COMPA ; Timer0 Compare A Handler
 rjmp TIMER0_COMPB ; Timer0 Compare B Handler
 rjmp USI_START ; USI Start Handler
 rjmp USI_OVERFLOW ; USI Overflow Handler
 rjmp EE_READY ; EEPROM Ready Handler
 rjmp WDT_OVERFLOW ; Watchdog Overflow Handler


 ; RESET: ; Reset Handler
 ; intt_0: ; External Interrupt0 Handler
 ; intt_1: ; External Interrupt1 Handler
  TIM1_CAPT: ; Timer1 Capture Handler
 ; TIM1_COMPA: ; Timer1 CompareA Handler
  TIM1_OVF: ; Timer1 Overflow Handler
  TIM0_OVF: ; Timer0 Overflow Handler
  USART0_RXC: ; USART0 RX Complete Handler
  USART0_DRE: ; USART0,UDR Empty Handler
  USART0_TXC: ; USART0 TX Complete Handler
  ANA_COMP: ; Analog Comparator Handler
  PCINT: ; Pin Change Interrupt
 ; TIMER1_COMPB: ; Timer1 Compare B Handler
 ; TIMER0_COMPA: ; Timer0 Compare A Handler
  TIMER0_COMPB: ; Timer0 Compare B Handler
  USI_START: ; USI Start Handler
  USI_OVERFLOW: ; USI Overflow Handler
  EE_READY: ; EEPROM Ready Handler
  WDT_OVERFLOW: ; Watchdog Overflow Handler
 reti

;
;                                       -- 
;

RESET:    cli
clr reg pauzaee: dec reg brne pauzaee ;  . 


;-------- Ҩ
          ldi reg,RamEnd       ;  
           out SPL,reg


;-------- 
	    	ldi reg,0b11111111  	; ( 7-. )
		 	 out ddrB,reg 
	    	ldi reg,0b01110010  	;(0 _)          
			 out ddrD,reg			;(1 __) (2 ONN-OFF(INT_)) 
									;(3 (INT) 
									;((4 6    .) (5 )

	

				ldi reg,0b01010110   ;----- 4  6   ( ,  )
				out portD,reg			; /(    )
										;... (  -)( ,  )
;-------- 
		 ldi Nolik,0
		 cbr flajki,0b11111011  ;7- () ;6- ( ) ;5- () ;4- () ;3- ()
								;2- (0  99) ;1-( ) 
		 		 

;--------     @ @.
		ldi reg,0b00110000
		out MCUCR,reg
;-------- 
    	rcall TIM_0A_INDICAT  

sei;=======================================

;--------     
 ldi obraz_H,0b00111111  ldi obraz_L,0b00111111 
  ldi reg,255 rcall PAUZA_65536  	;

;--------    
		ldi slot_L,0	 rcall load_cifer_L		 
		ldi slot_H,10	 rcall load_cifer_H 

;--------       (  ) :)
	   ldi reg,0b11100000
		 out GIMSK,reg     	
;
;                                       -- 
;

CIKL:
;rjmp muzz_on
	sbrc flajki,6
	 rcall VIZG_SERENI ; 
	sbrc flajki,5
	 rcall s4el4ek ;
	sbrc flajki,3
	 rcall muzz_on
rjmp CIKL




.Include "-call.asm"
.Include "-interupt.asm"
.Include "-data.asm"
